package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdCouponRef;
import com.xmomen.module.base.entity.CdCouponRefExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdCouponRefMapper extends MybatisMapper {
    // 根据条件统计数量
    int countByExample(CdCouponRefExample example);

    // 根据条件删除
    int deleteByExample(CdCouponRefExample example);

    // 插入数据
    int insertSelective(CdCouponRef record);

    // 根据条件更新数据
    int updateByExampleSelective(@Param("record") CdCouponRef record, @Param("example") CdCouponRefExample example);
}